Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: vilde on 2014/05/04, 10:33:11

Title: [Solved] alsa-base will be removed
Post by: vilde on 2014/05/04, 10:33:11
On d-u today alsa-base will be removed on my 32 bit xfce....

I will wait awhile
Title: Re: alsa-base will be removed
Post by: devil on 2014/05/04, 12:44:02
Yes, kmod wants to kick it.


greetz
devil
Title: Re: alsa-base will be removed
Post by: dibl on 2014/05/04, 14:17:48
Here there was no problem with d-u on a 32-bit LXDE system, but on 64-bit I see this:


Code: [Select]
Calculating upgrade... Done
The following packages will be REMOVED:
  gcc-4.9 linux-headers-3.15-rc3-siduction-amd64 linux-headers-siduction-amd64


So that one will wait.
Title: Re: alsa-base will be removed
Post by: piper on 2014/05/04, 15:56:29
64 bit,  du done 2 minutes ago

Code: [Select]
The following packages will be upgraded:
  cpp g++ g++-multilib gcc gcc-4.9-base gcc-4.9-base:i386 gcc-multilib java-wrappers lib32atomic1 lib32gcc1 lib32gomp1 lib32itm1
  lib32quadmath0 lib32stdc++6 libatomic1 libgcc1 libgcc1:i386 libgfortran3 libgomp1 libitm1 libquadmath0 libstdc++6
  libstdc++6:i386 libtar0 libtsan0 libx32atomic1 libx32gcc1 libx32gomp1 libx32itm1 libx32quadmath0 libx32stdc++6
  siduction-settings-plank xdg-utils
33 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,825 kB of archives.
After this operation, 6,144 B disk space will be freed.
Do you want to continue? [Y/n] y

Code: [Select]
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@x1:/home/piper#
Title: Re: alsa-base will be removed
Post by: ReinerS on 2014/05/04, 18:33:58
also no problems here, seems the problem is already gone.

regards

Reiner
Title: Re: alsa-base will be removed
Post by: vilde on 2014/05/04, 19:08:02
not for me, alsa-base will still be removed
Title: Re: alsa-base will be removed
Post by: piper on 2014/05/04, 19:10:38
You can either wait for your repo to sync, or change repo ;)
Title: Re: alsa-base will be removed
Post by: michaa7 on 2014/05/04, 19:16:35
Problem persists here on 32 bit. The german repo usually *is* fast in syncing. BTW, which new alsa-base version avoids the conflict?

Quote
# apt-cache policy alsa-base
alsa-base:
  Installiert:           1.0.25+3
  Installationskandidat: 1.0.25+3
  Versionstabelle:
 *** 1.0.25+3 0
        900 http://http.debian.net/debian/ sid/main i386 Packages
        500 http://ftp2.de.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
     1.0.25+3~deb7u1 0
        500 http://ftp.nl.debian.org/debian/ stable/main i386 Packages

EDIT://
How do you read this bug report?
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=746799
Quote
...
* Merged the few useful directives from the alsa-base package and added
    a versioned Breaks to force it to be unistalled.
...
Title: Re: alsa-base will be removed
Post by: vilde on 2014/05/04, 19:24:45
Just doing d-u on two 64 bit machines here and there is no kmod updating on any of them and no problems with alsa-base either
Title: Re: alsa-base will be removed
Post by: vilde on 2014/05/04, 21:55:10
Problem still here so I did
Code: [Select]
apt-mark hold alsa-base and then d-u, kmod was hold back and not updated. after kompleted  d-u I did
Code: [Select]
apt-mark unhold alsa-base

Sorry for wrong spelling but as I wrote in another thread, spellchecking is still not working for me in this forum and only here
Title: Re: alsa-base will be removed
Post by: towo on 2014/05/04, 22:10:02
http://aptosid.com/index.php?name=PNphpBB2&file=viewtopic&t=2783
Title: Re: alsa-base will be removed
Post by: michaa7 on 2014/05/04, 23:42:29
thanks towo, this answers my question. so new kmod (and udev) *replaces* alsa-base which now can go.
Title: Re: alsa-base will be removed
Post by: vilde on 2014/05/05, 01:10:19
Thank you towo
Title: Re: [Solved] alsa-base will be removed
Post by: ReinerS on 2014/05/05, 10:16:23
Hier wird alsa-base jetzt auch entfernt.

Grüße

Reiner
Title: Re: [Solved] alsa-base will be removed
Post by: vilde on 2014/05/05, 10:46:37
@ ReinerS,  You shall let alsa-base go, it's not used anymore
Title: Re: [Solved] alsa-base will be removed
Post by: red on 2014/05/06, 18:12:25
alsa-base ist removed - richtig
aber
volumeicon-alsa
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 volumeicon-alsa : Depends: alsa-base but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

wie ist das zu loesen?
danke!
Title: Re: [Solved] alsa-base will be removed
Post by: melmarker on 2014/05/06, 18:23:33
Code: [Select]
apt-get purge volumeicon-alsa

weil kmod macht alsa-base <= 1.0.25+3 karpott. das ist so gewollt und steht auch im changelog von kmod 0.7.1

Edit: towo hat ein volumeicon-alsa ohne alsa-base dependencies geladen
Title: Re: [Solved] alsa-base will be removed
Post by: Maik on 2014/05/07, 05:00:50
Typisches Verhalten mal wieder  ??? irgendwie in letzter Zeit bei Debian Standard dieses "CHAOS"
Musste so vorgehen
Die alten Daten* sichern und Mergen nach /lib/modprobe.d/aliases.conf und ein Symlink nach /etc/modprobe.d/ legen.

*
aliases.conf
alsa-base-blacklist.conf
alsa-base.conf